#if !defined(_AUX_FUNCS_)
#define _AUX_FUNCS_
// file		:	AuxFuncs.cxx
// purpose	:	Auxillary functions for threading
// (c) Allan Kelly 1998-1999

// System includes ----------------------
#if defined(WIN32)
#include <windows.h>
#else
#include <unistd.h>
#include <pthread.h>
#endif

// Project includes ---------------------
// <none>

// Local includes -----------------------
#include "auxfuncs.h"

void SleepSeconds(long s)
{
#if defined(WIN32)
	Sleep(s*1000);
#else	// assume posix
	sleep(s);
#endif
}

void WaitForThreads()
{
#if defined(WIN32)
	// nothing to do
#else
	pthread_exit(NULL);
#endif
}

#endif
